Placeholders

Placeholders are named person or date slots defined on a template project. When a project is created from the template, each placeholder is resolved to a concrete person or date, and the resolved value is applied wherever the placeholder is used.

Not to be confused with placeholder people in resource planning — those are people records with the placeholder attribute.

Attributes

category string
Response Request Parameter `filter` Parameter `sort` Enum

The category of this placeholder, indicating the context in which it is used (e.g. project).

Enum Values (1 value)

  • project
    Project
color string
Response Request

The color identifier used to visually represent the placeholder. The API accepts any string — the Productive UI uses tokens from its color palette (e.g. electric).

created_at string
Response Parameter `filter`

Timestamp when this placeholder was created.

icon string
Response Request

The icon identifier used to visually represent the placeholder. The API accepts any string — the Productive UI uses identifiers from its icon set (e.g. icon-cowboy-hat-filled).

id integer
Response Parameter `filter` Parameter `sort`

The unique identifier of this placeholder.

name string
Response Request Parameter `filter` Parameter `sort`

The display name of this placeholder (e.g. Frontend Developer).

organization organization
Response

The organization this placeholder belongs to.

project project
Response

The template project this placeholder belongs to.

project_id integer
Request Parameter `filter`

ID of the template project this placeholder belongs to.

query string
Parameter `filter`

A text search query to filter placeholders by name.

type string
Response Request Parameter `filter` Parameter `sort` Enum

The type of placeholder, either person or date.

Enum Values (2 values)

  • person
    Person
  • date
    Date
updated_at string
Response

Timestamp when this placeholder was last updated.

usage_project_id integer
Parameter `filter`

Filter placeholders to those used in tasks or todos within the specified project.

Examples

Loading example